import * as React from 'react';
import * as classnames from 'classnames';
export declare type CN = typeof classnames;
export declare const noop: () => void;
export declare function action<T extends Function>(func?: T): T;
export declare function actions<T extends Function>(...funcs: T[]): T;
export declare function promiseAction<T extends Function>(func?: T): (...args: any[]) => (before: (() => any) | null, after: ((data: any) => any) | null, otherwise?: (() => void) | undefined) => Promise<any> | undefined;
export interface IBaseProps {
    className?: string;
    style?: React.CSSProperties;
}
export default abstract class Base<P = {}, S = {}> extends React.Component<P & IBaseProps, S> {
    static action: typeof action;
    static actions: typeof actions;
    static promiseAction: typeof promiseAction;
    static stopPropagation: React.EventHandler<any>;
    static preventDefault: React.MouseEventHandler<any>;
    _isMounted: boolean;
    className: CN;
    style: (style?: React.CSSProperties | undefined) => React.CSSProperties & (P & IBaseProps)["style"];
    componentDidMount(): void;
    componentWillUnmount(): void;
}
export declare type SizeType = 'small' | 'normal' | 'large';
export declare type ColorType = 'primary' | 'success' | 'warning' | 'danger' | 'gray';
export declare type RadiusType = number | 'circle' | 'square';
export declare type DirectionType = 'vertical' | 'horizontal';
export declare type ButtonColorType = 'default' | 'plain' | 'primary' | 'success' | 'warning' | 'danger' | 'white' | 'black';
export declare type IconColorType = 'normal' | 'primary' | 'success' | 'warning' | 'danger' | 'gray' | string;
export declare type MessageType = 'primary' | 'success' | 'warning' | 'danger';
export declare type NotificationType = 'primary' | 'success' | 'warning' | 'danger';
export declare type NotificationPlacement = 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
export declare type PopoverTriggerType = 'click' | 'hover' | 'focus';
export declare type PopoverPlacementType = 'auto' | 'top' | 'top-start' | 'top-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end' | 'bottom' | 'bottom-start' | 'bottom-end';
export declare type TagColorType = 'gray' | 'primary' | 'success' | 'warning' | 'danger' | string;
