import * as React from 'react';
import Base from './Base';
export interface IBaseDialogProps {
    visible?: boolean;
    masked?: boolean;
    closeOnEsc?: boolean;
    closeOnMaskClick?: boolean;
    transition?: string;
    container?: HTMLElement | (() => HTMLElement);
    autoDestroy?: boolean;
    onClose?: () => void;
    onHide?: () => void;
}
export interface IBaseDialogState {
    portalVisible: boolean;
}
export default class BaseDialog extends Base<IBaseDialogProps, IBaseDialogState> {
    static defaultProps: {
        transition: string;
    };
    constructor(props: IBaseDialogProps);
    componentDidMount(): void;
    componentWillReceiveProps({visible}: IBaseDialogProps): void;
    componentWillUnmount(): void;
    onKeyDown: (e: React.KeyboardEvent<any>) => void;
    onMaskClick: (e: React.MouseEvent<any>) => void;
    onHidePortal: () => void;
    render(): JSX.Element | null;
}
