import Popper from 'popper.js';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base, { PopoverPlacementType, PopoverTriggerType } from './Base';
export interface IBasePopoverProps {
    visible?: boolean;
    disabled?: boolean;
    trigger?: PopoverTriggerType;
    placement?: PopoverPlacementType;
    content?: React.ReactNode;
    modifiers?: any;
    refTarget?: (el: Element | null) => void;
    onChange?: (visible: boolean) => void;
}
export interface IBasePopoverState {
    visible?: boolean;
    portalVisible: boolean;
}
export default class BasePopover extends Base<IBasePopoverProps, IBasePopoverState> {
    static defaultProps: {
        placement: string;
        trigger: string;
    };
    static childContextTypes: {
        $popover: PropTypes.Requireable<any>;
    };
    static contextTypes: {
        $popover: PropTypes.Requireable<any>;
    };
    state: {
        visible: boolean;
        portalVisible: boolean;
    };
    id: string;
    $target: Element | null;
    $popper: Element | null;
    instance: Popper | null;
    hideTimer: number;
    getChildContext: () => {
        $popover: any;
    };
    componentDidMount(): void;
    componentWillReceiveProps({visible}: IBasePopoverProps): void;
    updateVisible: (visible?: boolean | undefined, force?: boolean | undefined) => void;
    saveTarget: ($target: any) => void;
    refPopper: ($popper: any) => void;
    ensureElement: (children: any) => any;
    getEvents: (children: React.SFCElement<any>) => {
        onClick: any;
    } | {
        onMouseEnter: any;
        onMouseLeave: any;
    } | {
        onFocus: any;
        onBlur: any;
    } | {};
    clearHideTimer: () => void;
    onMouseDownInside: (e: React.MouseEvent<any>) => void;
    onClickOutside: (e: MouseEvent) => void;
    onToggle: (e: React.MouseEvent<any>, visible?: boolean) => void;
    onShow: (e: any) => void;
    onHide: (e: any) => void;
    onDelayedHide: (e: any) => void;
    onHideIfNeeded: (e: any) => void;
    onHidePortal: () => void;
    render(): (boolean | JSX.Element)[] | null;
}
