import * as React from 'react';
import { EndHandler, EnterHandler, ExitHandler } from 'react-transition-group/Transition';
export interface IOriginalTransitionProps {
    timeout?: number | {
        enter?: number;
        exit?: number;
    };
    in?: boolean;
    appear?: boolean;
    mountOnEnter?: boolean;
    unmountOnExit?: boolean;
    addEndListener?: EndHandler;
    onEnter?: EnterHandler;
    onEntering?: EnterHandler;
    onEntered?: EnterHandler;
    onExit?: ExitHandler;
    onExiting?: ExitHandler;
    onExited?: ExitHandler;
}
export interface IBaseTransitionProps extends IOriginalTransitionProps {
    duration?: number | {
        enter?: number;
        exit?: number;
    };
    classNames?: {
        entering?: string;
        entered?: string;
        exiting?: string;
        exited?: string;
    } | ((state: string, children: any, el?: HTMLElement) => string);
    styles?: {
        entering?: React.CSSProperties;
        entered?: React.CSSProperties;
        exiting?: React.CSSProperties;
        exited?: React.CSSProperties;
    } | ((state: string, children: any, duration: number, el?: HTMLElement) => React.CSSProperties);
}
export interface IBaseTransitionState {
}
export default class BaseTransition extends React.Component<IBaseTransitionProps, IBaseTransitionState> {
    el?: HTMLElement;
    saveEl: (el?: HTMLElement | undefined) => void;
    getDuration: (state: string) => any;
    getClassName: (state: string, children: any) => string;
    getStyle: (state: string, children: any) => any;
    ensureElement: (children: any) => any;
    render(): JSX.Element | null;
}
