import './Button.less';
import * as React from 'react';
import Base, { RadiusType, ButtonColorType } from '../../commons/Base';
import ButtonGroup from './ButtonGroup';
export interface IButtonProps {
    size?: 'small' | 'normal' | 'large';
    type?: ButtonColorType;
    nativeType?: 'button' | 'submit' | 'reset';
    basic?: boolean;
    icon?: string;
    disabled?: boolean;
    loading?: boolean;
    full?: boolean;
    radius?: RadiusType;
    onClick?: (e: React.MouseEvent<HTMLButtonElement>) => Promise<any> | void;
    onMouseDown?: React.MouseEventHandler<HTMLButtonElement>;
    onMouseUp?: React.MouseEventHandler<HTMLButtonElement>;
    onMouseEnter?: React.MouseEventHandler<HTMLButtonElement>;
    onMouseLeave?: React.MouseEventHandler<HTMLButtonElement>;
}
export interface IButtonState {
    loading: boolean;
}
export default class Button extends Base<IButtonProps, IButtonState> {
    static Group: typeof ButtonGroup;
    static defaultProps: IButtonProps;
    constructor(props: IButtonProps);
    componentWillReceiveProps(nextProps: IButtonProps): void;
    onClick: (e: React.MouseEvent<HTMLButtonElement>) => void;
    render(): JSX.Element;
}
