import './Calendar.less';
import Base from '../../commons/Base';
export declare enum viewTypes {
    YEAR = 0,
    MONTH = 1,
    DATE = 2,
}
export interface ICalendarProps {
    value?: [Date, Date] | Date | null;
    type?: 'date' | 'range';
    firstDayOfWeek?: number;
    onChange?: (start: Date, end?: Date) => void;
}
export interface ICalendarState {
    status: viewTypes;
    year: number;
    month: number;
    value: Date | null;
    valueEnd: Date | null;
}
export default class Calendar extends Base<ICalendarProps, ICalendarState> {
    constructor(props: ICalendarProps);
    componentWillReceiveProps({value, type}: ICalendarProps): void;
    onPrevious: () => void;
    onReturn: () => void;
    onNext: () => void;
    onSelectYear: (year: number) => void;
    onSelectMonth: (month: number) => void;
    onSelectDate: (value: Date, valueEnd: Date) => void;
    renderTitle: () => string;
    render(): JSX.Element;
}
