import Base from '../../../commons/Base';
export interface IDatePanelProps {
    type: 'date' | 'range';
    firstDayOfWeek?: number;
    year: number;
    month: number;
    value?: Date | null;
    valueEnd?: Date | null;
    onSelect?: (start: Date, end?: Date) => void;
}
export interface IDatePanelState {
    value: Date | null;
    valueEnd: Date | null;
    selecting: boolean;
}
export default class DatePanel extends Base<IDatePanelProps, IDatePanelState> {
    constructor(props: IDatePanelProps);
    componentWillReceiveProps({year, month, value, valueEnd}: IDatePanelProps): void;
    checkSelected: (date: Date) => boolean | null;
    checkRanged: (date: Date) => boolean;
    onSelect: (date: Date) => void;
    onMarkRange: (date: Date) => void;
    renderWeekdays: () => JSX.Element[];
    renderDays: () => JSX.Element[];
    render(): JSX.Element;
}
