import './DatePicker.less';
import * as React from 'react';
import Base, { PopoverTriggerType, SizeType } from '../../commons/Base';
export interface IDatePickerProps {
    icon?: string;
    value?: Date | string | null;
    format?: string;
    placeholder?: string;
    full?: boolean;
    disabled?: boolean;
    size?: SizeType;
    trigger?: PopoverTriggerType;
    onChange?: (date: Date | null, value: string) => void;
    onKeyDown?: React.FormEventHandler<any>;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
    children?: (data: {
        value: string;
        date: Date | null;
        disabled?: boolean;
    }) => React.ReactNode;
}
export interface IDatePickerState {
    visible: boolean;
    value: string;
    date: Date | null;
}
export default class DatePicker extends Base<IDatePickerProps, IDatePickerState> {
    static defaultProps: {
        icon: string;
        format: string;
        trigger: string;
    };
    constructor(props: IDatePickerProps);
    parse: (value?: string | Date | null | undefined) => Date | null;
    stringify: (date?: Date | null | undefined) => string;
    updateValue: (date?: Date | undefined) => void;
    onVisibleChange: (visible: boolean) => void;
    onValueChangeFromInput: (e: any, value: string) => void;
    onDateChange: (date: Date) => void;
    render(): JSX.Element;
}
