import './Dialog.less';
import * as React from 'react';
import Base, { ButtonColorType, SizeType } from '../../commons/Base';
import Confirm from './Confirm';
import functionalConfirm from './functional-confirm';
import functionalPrompt from './functional-prompt';
import Prompt from './Prompt';
export interface IDialogProps {
    size?: SizeType;
    visible?: boolean;
    plain?: boolean;
    masked?: boolean;
    closable?: boolean;
    closeOnEsc?: boolean;
    closeOnMaskClick?: boolean;
    transition?: 'scale' | 'slide-up';
    container?: HTMLElement | (() => HTMLElement);
    autoDestroy?: boolean;
    header?: React.ReactNode;
    footer?: React.ReactNode;
    icon?: string;
    title?: React.ReactNode;
    cancelIcon?: string;
    confirmIcon?: string;
    cancelType?: ButtonColorType;
    confirmType?: ButtonColorType;
    cancelText?: React.ReactNode;
    confirmText?: React.ReactNode;
    onConfirm?: () => void | Promise<any>;
    onCancel?: () => void | Promise<any>;
    onClose?: () => void;
    onHide?: () => void;
}
export interface IDialogState {
    loading: boolean;
}
export default class Dialog extends Base<IDialogProps, IDialogState> {
    static confirm: typeof functionalConfirm;
    static prompt: typeof functionalPrompt;
    static Confirm: typeof Confirm;
    static Prompt: typeof Prompt;
    static defaultProps: {
        size: string;
        transition: string;
        masked: boolean;
        closable: boolean;
        closeOnEsc: boolean;
        closeOnMaskClick: boolean;
        confirmIcon: string;
        cancelType: string;
        confirmType: string;
        cancelText: string;
        confirmText: string;
    };
    state: {
        loading: boolean;
    };
    onConfirm: () => void;
    onCancel: () => void;
    renderHeader: () => JSX.Element | null;
    renderFooter: () => JSX.Element | null;
    render(): JSX.Element;
}
