import Base, { SizeType } from '../../commons/Base';
export interface IPromptProps {
    visible?: boolean;
    icon?: string;
    title?: string;
    value?: string;
    placeholder?: string;
    size?: SizeType;
    closeOnMaskClick?: boolean;
    container?: HTMLElement | (() => HTMLElement);
    autoDestroy?: boolean;
    onConfirm?: (value: string) => void | Promise<any>;
    onCancel?: () => void | Promise<any>;
    onClose?: () => void;
    onHide?: () => void;
}
export interface IPromptState {
    value: string;
}
export default class Confirm extends Base<IPromptProps, IPromptState> {
    static defaultProps: {
        size: string;
        closeOnMaskClick: boolean;
    };
    constructor(props: IPromptProps);
    componentWillReceiveProps({value}: IPromptProps): void;
    onValueChange: (e: any, value: string) => void;
    onConfirm: () => void | Promise<any>;
    render(): JSX.Element;
}
