import './Form.less';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../commons/Base';
import FormField from './FormField';
import FormStore, { IValidationError, IValidationMap, IValueMap } from './FormStore';
export interface IFormProps {
    layout?: 'horizontal' | 'vertical';
    labelWidth?: string | number;
    validations?: IValidationMap;
    showError?: boolean;
    onSubmit?: (errors: IValidationError[] | null, values: IValueMap, reset: () => void) => void;
}
export default class Form extends Base<IFormProps> {
    static Field: typeof FormField;
    static childContextTypes: {
        $form: PropTypes.Requireable<any>;
    };
    static defaultProps: {
        layout: string;
        showError: boolean;
    };
    store: FormStore;
    $fields: FormField[];
    constructor(props: IFormProps);
    getChildContext: () => {
        $form: any;
    };
    get: (name: string) => any;
    set: (name: string, value: any) => void;
    validate: (name: string) => IValidationError | null;
    onReset: () => void;
    onSubmit: (e: React.FormEvent<HTMLFormElement>) => void;
    render(): JSX.Element;
}
