import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../commons/Base';
import Form from './Form';
import { IValidationError } from './FormStore';
export interface IChildProps {
    value?: any;
    name?: string;
    error?: IValidationError | null;
    onChange: (e: any, value: any) => void;
    onValueChange: (value: any) => void;
}
export interface IFormFieldProps {
    name?: string;
    value?: any;
    required?: boolean;
    label?: React.ReactNode;
    children: React.ReactNode | ((props: IChildProps) => React.ReactNode);
}
export interface IFormStateProps {
    error: IValidationError | null;
}
export default class FormField extends Base<IFormFieldProps, IFormStateProps> {
    static contextTypes: {
        $form: PropTypes.Requireable<any>;
    };
    name: string;
    $form: Form;
    validateWithDebounce: () => IValidationError | null;
    constructor(props: IFormFieldProps, context: any);
    validate: () => IValidationError | null;
    onChange: (e: any, value: any) => void;
    onValueChange: (value: any) => void;
    renderChildren: () => {} | null | undefined;
    render(): JSX.Element;
}
