export declare type Value = any;
export interface IValueMap {
    [name: string]: Value;
}
export interface IValidationMap {
    [name: string]: (value: Value, values: IValueMap) => string | boolean;
}
export interface IValidationError {
    name: string;
    message: string;
}
export default class FormStore {
    private values;
    private defaultValues;
    private validations;
    constructor(validations?: IValidationMap);
    get: (name: string) => any;
    getValues: () => IValueMap;
    set: (name: string, value: any) => void;
    validate: (name: string) => IValidationError | null;
    reset: () => void;
}
