import './Input.less';
import * as React from 'react';
import Base, { RadiusType } from '../../commons/Base';
import InputGroup from './InputGroup';
export interface IInputProps {
    size?: 'small' | 'normal' | 'large';
    type?: 'text' | 'password';
    value?: string;
    placeholder?: string;
    disabled?: boolean;
    full?: boolean;
    radius?: RadiusType;
    autoFocus?: boolean;
    readOnly?: boolean;
    prefix?: React.ReactNode | string;
    suffix?: React.ReactNode | string;
    onChange?: (e: React.ChangeEvent<any>, value: string) => void;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
    onKeyDown?: React.FormEventHandler<any>;
}
export default class Input extends Base<IInputProps> {
    static Group: typeof InputGroup;
    static defaultProps: {
        type: string;
        size: string;
    };
    autoFocus: (el: HTMLInputElement) => void;
    onChange: React.ChangeEventHandler<any>;
    render(): JSX.Element;
}
