import './InputNumber.less';
import * as React from 'react';
import Base, { RadiusType } from '../../commons/Base';
export interface IInputNumberProps {
    size?: 'small' | 'normal' | 'large';
    value?: number;
    min?: number;
    max?: number;
    step?: number;
    precision?: number;
    placeholder?: string;
    readOnly?: boolean;
    disabled?: boolean;
    full?: boolean;
    radius?: RadiusType;
    autoFocus?: boolean;
    showHandlers?: boolean;
    prefix?: React.ReactNode | string;
    formatter?: (value: number | string) => string;
    parser?: (value: string) => number;
    onChange?: (e: React.ChangeEvent<any> | React.MouseEvent<any>, value: number) => void;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
    onKeyDown?: React.FormEventHandler<any>;
}
export interface IInputNumberState {
    value: string;
}
export default class InputNumber extends Base<IInputNumberProps, IInputNumberState> {
    lastValidValue: number;
    focused: boolean;
    delayTimer: number;
    stepTimer: number;
    constructor(props: IInputNumberProps);
    componentWillReceiveProps({value}: IInputNumberProps): void;
    defaultFormatter: (value: React.ReactText) => string;
    defaultParser: (value: string) => number;
    toValidValue: (value: number) => number;
    valueToNumber: (value: string) => number;
    valueToString: (value?: string | number | undefined) => string;
    onChange: (e: React.ChangeEvent<any>, value: string) => void;
    onFocus: (e: React.FormEvent<any>) => void;
    onBlur: (e: React.FormEvent<any>) => void;
    onStep: (e: React.MouseEvent<any>, value: number) => void;
    onStepUp: (e: React.MouseEvent<any>) => void;
    onStepDown: (e: React.MouseEvent<any>) => void;
    onStartStepUpTimer: (e: React.MouseEvent<any>) => void;
    onStartStepDownTimer: (e: React.MouseEvent<any>) => void;
    onClearTimer: () => void;
    renderHandlers: () => JSX.Element;
    render(): JSX.Element;
}
