import './Message.less';
import Base, { MessageType } from '../../commons/Base';
import { danger, info, open, success, warning } from './functional-message';
export interface IMessageProps {
    visible?: boolean;
    type?: MessageType;
    icon?: string;
    full?: boolean;
    closable?: boolean;
    duration?: number;
    onClose?: () => void;
    onHide?: () => void;
}
export interface IMessageState {
    visible: boolean;
}
export default class Message extends Base<IMessageProps, IMessageState> {
    static normal: typeof open;
    static info: typeof info;
    static success: typeof success;
    static warning: typeof warning;
    static danger: typeof danger;
    timer: number;
    constructor(props: IMessageProps);
    componentDidMount(): void;
    componentWillReceiveProps({visible}: IMessageProps): void;
    componentWillUnmount(): void;
    startTimer: () => void;
    clearTimer: () => void;
    onClose: () => void;
    render(): JSX.Element;
}
