import './Notification.less';
import Base, { NotificationType } from '../../commons/Base';
import { danger, info, open, success, warning } from './functional-notification';
export interface INotificationProps {
    visible?: boolean;
    type?: NotificationType;
    icon?: string;
    title?: string;
    closable?: boolean;
    duration?: number;
    onClose?: () => void;
    onHide?: () => void;
}
export interface INotificationState {
    visible: boolean;
}
export default class Notification extends Base<INotificationProps, INotificationState> {
    static normal: typeof open;
    static info: typeof info;
    static success: typeof success;
    static warning: typeof warning;
    static danger: typeof danger;
    timer: number;
    constructor(props: INotificationProps);
    componentDidMount(): void;
    componentWillReceiveProps({visible}: INotificationProps): void;
    componentWillUnmount(): void;
    startTimer: () => void;
    clearTimer: () => void;
    onClose: () => void;
    render(): JSX.Element;
}
