import './ScrollBar.less';
import * as React from 'react';
import Base from '../../commons/Base';
export interface IPoint {
    x: number;
    y: number;
}
export interface IScrollBarProps extends React.HTMLProps<HTMLDivElement> {
    scrollStep?: number;
    direction?: 'vertical' | 'horizontal';
    stopPropagation?: boolean;
    dragToScroll?: boolean;
}
export interface IScrollBarState {
    dragging: boolean;
}
export default class ScrollBar extends Base<IScrollBarProps, IScrollBarState> {
    static defaultProps: {
        direction: string;
    };
    state: {
        dragging: boolean;
    };
    el: HTMLDivElement;
    startPosition: IPoint;
    startPoint: IPoint;
    readonly directionProp: string;
    saveEl: (el: HTMLDivElement) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    scrollTo: (target: number) => void;
    scrollToEnd: () => void;
    onMouseWheel: (e: any) => void;
    onMouseDown: (e: MouseEvent) => void;
    onMouseMove: any;
    onMouseUp: any;
    render(): JSX.Element;
}
