import './Select.less';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base, { SizeType } from '../../commons/Base';
import SelectGroup from './SelectGroup';
import SelectOption from './SelectOption';
export interface ISelectOption {
    label: string;
    value: any;
}
export interface ISelectProps {
    size?: SizeType;
    multiple?: boolean;
    searchable?: boolean;
    value?: any | any[];
    placeholder?: string;
    full?: boolean;
    children: React.ReactElement<SelectOption> | React.ReactElement<SelectGroup> | React.ReactElement<SelectOption>[] | React.ReactElement<SelectGroup>[];
    onChange?: (value: any | any[]) => void;
}
export interface ISelectState {
    selected: ISelectOption[];
    visible: boolean;
    searchKey: string;
}
export default class Select extends Base<ISelectProps, ISelectState> {
    static Option: typeof SelectOption;
    static Group: typeof SelectGroup;
    static childContextTypes: {
        $select: PropTypes.Requireable<any>;
    };
    $root: HTMLDivElement;
    constructor(props: ISelectProps);
    saveRoot: (el: any) => any;
    options: SelectOption[];
    getChildContext: () => {
        $select: any;
    };
    componentDidMount(): void;
    componentWillReceiveProps({value}: ISelectProps): void;
    componentWillUnmount(): void;
    parse: (values?: any) => ISelectOption[];
    addOption: (option: SelectOption) => void;
    removeOption: (option: SelectGroup) => void;
    select: (label: string, value: any) => void;
    isMatched: (label: string) => boolean;
    isSelected: (value: any) => boolean;
    onClickOutside: (e: MouseEvent) => void;
    onVisibleToggle: () => void;
    onSearchKeyChange: (e: any, searchKey: string) => void;
    onSearchKeyClear: () => void;
    renderValue: (selected: ISelectOption[], multiple?: boolean | undefined) => string | JSX.Element;
    render(): JSX.Element;
}
