import './TimePicker.less';
import * as React from 'react';
import Base, { SizeType } from '../../commons/Base';
export declare type TimeType = {
    hours?: number;
    minutes?: number;
    seconds?: number;
};
export declare type ValueType = Date | string | TimeType | null;
export interface ITimePickerProps {
    icon?: string;
    value?: ValueType;
    format?: string;
    placeholder?: string;
    disabled?: boolean;
    full?: boolean;
    size?: SizeType;
    onChange?: (value: string, values?: TimeType | null) => void;
    onKeyDown?: React.FormEventHandler<any>;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
}
export interface ITimePickerState {
    visible: boolean;
    value: string;
    values?: TimeType | null;
}
export default class TimePicker extends Base<ITimePickerProps, ITimePickerState> {
    static defaultProps: {
        icon: string;
        format: string;
    };
    hoursVisible: boolean;
    minutesVisible: boolean;
    secondsVisible: boolean;
    constructor(props: ITimePickerProps);
    componentWillReceiveProps({value}: ITimePickerProps): void;
    parse: (value?: string | Date | TimeType | null | undefined) => TimeType | null | undefined;
    stringify: (values?: TimeType | null | undefined) => string;
    updateValue: (values?: TimeType | null | undefined) => void;
    onVisibleChange: (visible: boolean) => void;
    onValueChangeFromInput: (e: any, value: string) => void;
    onHoursChange: (hours: number) => void;
    onMinutesChange: (minutes: number) => void;
    onSecondsChange: (seconds: number) => void;
    render(): JSX.Element;
}
