export declare const tokenRegexp: RegExp;
export declare const defaultDateFormat = "YYYY-MM-DD";
export declare const defaultTimeFormat = "HH:mm:ss";
export declare const defaultDatetimeFormat = "YYYY-MM-DD HH:mm:ss";
export declare type DatetimeType = {
    years?: number;
    months?: number;
    dates?: number;
    hours?: number;
    minutes?: number;
    seconds?: number;
};
export declare function parseFromDate(date: Date, attrs?: {
    [name: string]: boolean;
}): {
    years: number;
    months: number;
    dates: number;
    hours: number;
    minutes: number;
    seconds: number;
};
export declare function parse(dirtyString: string, format?: string): DatetimeType;
export declare function stringify(data?: Date | DatetimeType, format?: string): string;
export declare function toDate(data: DatetimeType): Date;
export declare function copyOrCreate(date: Date | null | undefined, defaultOptions?: DatetimeType): Date;
